#include "logger_proxy.h"

#include <maps/libs/log8/include/log8.h>

namespace maps::wiki::release {

LoggerProxy::~LoggerProxy()
{
    switch (severity_) {
    case tasks::Severity::Info:
        INFO() << msg_.str();
        break;
    case tasks::Severity::Warn:
        WARN() << msg_.str();
        break;
    case tasks::Severity::Error:
        ERROR() << msg_.str();
        break;
    }
}

} // namespace maps::wiki::release
